ctrl+shift+p filters: :st2 :st3 :win :osx :linux
Browse

Sublime​Linter-mdl

by SublimeLinter ST3

This linter plugin for SublimeLinter provides an interface to Markdown Lint Tool (mdl)

Details

Installs

  • Total 1K
  • Win 617
  • Mac 554
  • Linux 324
Jan 23 Jan 22 Jan 21 Jan 20 Jan 19 Jan 18 Jan 17 Jan 16 Jan 15 Jan 14 Jan 13 Jan 12 Jan 11 Jan 10 Jan 9 Jan 8 Jan 7 Jan 6 Jan 5 Jan 4 Jan 3 Jan 2 Jan 1 Dec 31 Dec 30 Dec 29 Dec 28 Dec 27 Dec 26 Dec 25 Dec 24 Dec 23 Dec 22 Dec 21 Dec 20 Dec 19 Dec 18 Dec 17 Dec 16 Dec 15 Dec 14 Dec 13 Dec 12 Dec 11 Dec 10
Windows 1 1 0 0 0 0 0 0 0 0 0 0 0 0 0 1 0 0 1 0 0 0 0 0 0 0 0 0 1 0 0 0 0 0 0 0 0 0 0 0 1 0 0 0 1
Mac 0 0 0 0 0 0 0 0 0 0 0 0 1 1 0 0 0 1 0 0 0 0 0 0 0 0 0 0 0 1 1 1 0 0 0 0 0 0 0 0 0 0 1 0 1
Linux 0 0 0 0 0 0 0 0 0 0 0 0 0 1 0 0 0 0 0 1 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1 0 0 0 0 0 0 0 0 0

Readme

Source
raw.​githubusercontent.​com

SublimeLinter-mdl

Build Status

This linter plugin for SublimeLinter provides an interface to Markdown lint tool (mdl). It will be used with files that have the “Markdown” syntax.

Installation

SublimeLinter 3 must be installed in order to use this plugin.

Please install via Package Control.

Before using this plugin, ensure that mdl is installed on your system. To install mdl, do the following:

  1. Install Ruby.

  2. Install mdl by typing the following in a terminal:

[sudo] gem install mdl
  1. If you are using rbenv or rvm, ensure that they are loaded in your shell’s correct startup file. See here for more information.

Settings

Additional SublimeLinter-mdl settings:

Setting Description
bundle-exec runs mdl as “bundle exec mdl” instead of “mdl”